Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeAutoScalingGroupsResult

    java.lang.Object
      com.amazonaws.services.autoscaling.model.DescribeAutoScalingGroupsResult

    public class DescribeAutoScalingGroupsResult

extends Object

Constructor Summary
`DescribeAutoScalingGroupsResult()`

Method Summary
`List<AutoScalingGroup>` | `getAutoScalingGroups()`
`void` | `setAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeAutoScalingGroupsResult` | `withAutoScalingGroups(AutoScalingGroup... autoScalingGroups)` Returns a reference to this object so that method calls can be chained together.
`DescribeAutoScalingGroupsResult` | `withAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeAutoScalingGroupsResult

    public DescribeAutoScalingGroupsResult()

Method Detail

### getAutoScalingGroups

    public List<AutoScalingGroup> getAutoScalingGroups()

  Returns:

### setAutoScalingGroups

    public void setAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)

  Parameters:
    `autoScalingGroups` -

### withAutoScalingGroups

    public DescribeAutoScalingGroupsResult withAutoScalingGroups(AutoScalingGroup... autoScalingGroups)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `autoScalingGroups` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAutoScalingGroups

    public DescribeAutoScalingGroupsResult withAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `autoScalingGroups` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.